unit cliParameter;

{ The CLI parameter are:
      <input wav file> <output wav file> <one or more options starting with a '-'>
}

interface

function wavIn: string;               // name of the input wav file
function wavOut: string;              // name of the input wav file
function optionError: boolean;        // False in case an option does not start with a '-'
function optionsCount: integer;       // number of options
function option(i: integer): string;  // ith option


implementation

function wavIn: string;
var s: string;
begin
 if paramCount = 0 then
    begin
    wavIn := '';
    exit;
    end;
 s := ParamStr(1);
 if length(s) = 0 then
    begin
    wavIn := '';
    exit;
    end;
 if s[1] = '-' then
    begin
    wavIn := '';
    exit;
    end;
 wavIn := s;
end;

function wavOut: string;
var s: string;
begin
 if paramCount < 2 then
    begin
    wavOut := '';
    exit;
    end;
 s := ParamStr(2);
 if length(s) = 0 then
    begin
    wavOut := '';
    exit;
    end;
 if s[1] = '-' then
    begin
    wavOut := '';
    exit;
    end;
 wavOut := s;
end;

function optionError: boolean;
var i: integer;
    s: String;
begin
 optionError := False;
 if paramCount < 2 then
    exit;
 for i:= 3 to paramCount do
    begin
       s := ParamStr(i);
       if s[1] <> '-' then
          begin
             optionError := True;
             exit;
          end;
    end;
end;

function optionsCount: integer;
begin
 optionsCount := paramCount-2;
end;

function option(i: integer): string;
begin
 option := ParamStr(i+2);
end;

end.
